<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
			require_once("./model/reporte_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$productos = $ges->get_productos_almacen_todos(); 

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen'])){

				require_once("./view/stock_almacen.phtml");
				
			}

			if(isset($_POST['descargar'])){
            
				$exp = new reporte_model2();
				$dato = $exp->get_reporte_excel($productos);
	
				echo '<script>window.open("'.$dato.'", "_self");type="text/javascript">alert("SE DESCARGÓ CORRECTAMENTE");window.location.href="stock_almacen.php";</script>';
	
				echo '<script type="text/javascript">window.location.href="stock_almacen.php";</script>';
				
			}


?>